/* RESET */

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* BODY */

body{
  font-family: Arial, Helvetica, sans-serif;
  background: #050505;
  color: white;
  overflow-x: hidden;

  cursor: url("cursor.png"), auto;
}

/* FUNDO */

.background{
  position: fixed;
  inset: 0;

  background:
  linear-gradient(rgba(0,0,0,0.75), rgba(0,0,0,0.92)),
  url("background.jpg") center/cover no-repeat;

  z-index: -1;
}

/* HEADER */

header{
  width: 100%;
  padding: 28px 8%;

  display: flex;
  justify-content: space-between;
  align-items: center;

  backdrop-filter: blur(12px);

  background: rgba(0,0,0,0.3);

  border-bottom: 1px solid rgba(255,255,255,0.08);
}

/* LOGO */

.logo{
  color: white;
  text-decoration: none;

  font-size: 2rem;
  letter-spacing: 10px;
  font-weight: 200;
}

/* NAV */

nav{
  display: flex;
  gap: 40px;
}

nav a{
  color: white;
  text-decoration: none;

  font-size: 0.9rem;
  letter-spacing: 2px;

  position: relative;

  transition: 0.3s;
}

nav a::after{
  content: "";
  position: absolute;

  left: 0;
  bottom: -7px;

  width: 0%;
  height: 1px;

  background: white;

  transition: 0.3s;
}

nav a:hover::after{
  width: 100%;
}

nav a:hover{
  opacity: 0.7;
}

/* CONTEÚDO */

.listen-page{
  padding: 70px 8%;
}

/* TOPO */

.album-section{
  display: flex;
  align-items: center;
  justify-content: center;

  gap: 70px;

  margin-bottom: 70px;
}

/* CAPA */

.album-cover{
  width: 320px;

  border-radius: 20px;

  box-shadow: 0 0 40px rgba(0,0,0,0.7);

  transition: 0.4s;
}

.album-cover:hover{
  transform: scale(1.02);
}

/* INFO */

.album-info{
  max-width: 500px;
}

.album-info span{
  color: #cfcfcf;
  letter-spacing: 4px;
  font-size: 0.8rem;
}

.album-info h1{
  font-size: 4rem;
  line-height: 90%;

  margin: 18px 0 25px;
}

.album-info p{
  color: #cfcfcf;
  line-height: 1.7;
}

/* PLATAFORMAS */

.platforms{
  width: 100%;
  max-width: 1100px;

  margin: auto;

  display: grid;
  grid-template-columns: repeat(2, 1fr);

  gap: 25px;
}

/* CARD */

.platform-card{
  display: flex;
  align-items: center;

  gap: 20px;

  padding: 22px;

  text-decoration: none;
  color: white;

  border-radius: 20px;

  background: rgba(255,255,255,0.05);

  border: 1px solid rgba(255,255,255,0.08);

  backdrop-filter: blur(10px);

  transition: 0.3s;
}

.platform-card:hover{
  transform: translateY(-5px);

  background: rgba(255,255,255,0.09);
}

/* ICONES */

.platform-card img{
  width: 55px;
  height: 55px;

  object-fit: cover;

  border-radius: 14px;
}

/* TEXTO */

.platform-card span{
  font-size: 1rem;
  letter-spacing: 1px;
}

/* RESPONSIVO */

@media(max-width: 900px){

  .album-section{
    flex-direction: column;
    text-align: center;
  }

  .album-info h1{
    font-size: 3rem;
  }

  .platforms{
    grid-template-columns: 1fr;
  }

  header{
    flex-direction: column;
    gap: 25px;
  }

  nav{
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
  }

}

/* INFO PLATAFORMA */

.platform-info{
  display: flex;
  flex-direction: column;

  gap: 8px;
}

/* TAG VIDEO */

.video-tag{
  display: flex;
  align-items: center;

  gap: 8px;
}

/* PNG VIDEO */

.video-tag img{
  width: 18px;
  height: 18px;

  object-fit: contain;

  opacity: 0.6;

  border-radius: 0;
}

/* TEXTO VIDEO */

.video-tag p{
  color: #8b8b8b;

  font-size: 0.8rem;

  letter-spacing: 1px;
}